Skip to main content
POST
/
bbps
/
cou
/
v1
/
billers
/
request
/
bill-payment
Bill Payment Request
curl --request POST \
  --url https://sandbox.cashfree.com/bbps/cou/v1/billers/request/bill-payment \
  --header 'Content-Type: application/json' \
  --header 'x-client-id: <api-key>' \
  --header 'x-client-secret: <api-key>' \
  --data '
{
  "bill_payment_request": {
    "head": {
      "bill_fetch_ref_id": "HENSVVR4QOS7X1UGPY7JGUV444P10102202",
      "pg_reference_id": "PG_REF_001"
    },
    "customer": {
      "mobile": "9505987798",
      "tag": [
        {
          "name": "EMAIL",
          "value": "customer@example.com"
        }
      ]
    },
    "agent": {
      "id": "OU01AI34INT001123456",
      "device": {
        "tag": [
          {
            "name": "INITIATING_CHANNEL",
            "value": "INT"
          },
          {
            "name": "IP",
            "value": "124.170.23.22"
          }
        ]
      }
    },
    "bill_details": {
      "biller": {
        "id": "VODA00000MUM03"
      },
      "customer_params": {
        "tag": [
          {
            "name": "RefFld1",
            "value": "XX1234ABCD"
          }
        ]
      }
    },
    "biller_response": {
      "customer_name": "Manoj Chekuri",
      "amount": "120000",
      "due_date": "2021-09-24",
      "bill_date": "2021-01-02",
      "bill_number": "1232332",
      "bill_period": "MONTHLY"
    },
    "payment_method": {
      "quick_pay": "No",
      "split_pay": "No",
      "off_us_pay": "No",
      "payment_mode": "UPI"
    },
    "amount": {
      "amt": {
        "amount": "120000",
        "cust_conv_fee": "1000",
        "cou_cust_conv_fee": "1500",
        "currency": "356"
      }
    },
    "payment_information": {
      "tag": [
        {
          "name": "VPA",
          "value": "account@provider"
        }
      ]
    }
  }
}
'
{
  "status": "ACCEPTED",
  "message": "Bill payment request accepted for processing",
  "data": {
    "bill_fetch_ref_id": "HENSVVR4QOS7X1UGPY7JGUV444P10102202",
    "transaction_ref_id": "OU011010ABCD12345678",
    "status": "PROCESSING"
  }
}

Documentation Index

Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-client-id
string
header
required

Your unique client identifier issued by Cashfree. You can find this in your Merchant Dashboard.

x-client-secret
string
header
required

Your unique client secret issued by Cashfree. Keep this confidential and never expose it in client-side code. You can find this in your Merchant Dashboard.

Body

application/json

Request parameters to initiate a bill payment request.

bill_payment_request
object
required

Response

Success response for initiating a bill payment request.

status
string
Example:

"ACCEPTED"

message
string
Example:

"Bill payment request accepted for processing"

data
object